# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause              = 0
  AcknowledgeFaceNamed                  = 1
  AcknowledgeFaceUnnamed                = 2
  AcknowledgeObject                     = 3
  AskToBeRightedLeft                    = 4
  AskToBeRightedRight                   = 5
  BlockReact                            = 6
  BuildPyramidFirstBlockOnSide          = 7
  BuildPyramidFirstBlockUpright         = 8
  BuildPyramidLookForFace               = 9
  BuildPyramidReactToBase               = 10
  BuildPyramidSecondBlockOnSide         = 11
  BuildPyramidSecondBlockUpright        = 12
  BuildPyramidSuccess                   = 13
  BuildPyramidThankUser                 = 14
  BuildPyramidThirdBlockOnSide          = 15
  BuildPyramidThirdBlockUpright         = 16
  CantHandleTallStack                   = 17
  PatternGuessNewIdea                   = 18
  PatternGuessThinking                  = 19
  ConnectWakeUp                         = 20
  CozmoSaysGetIn                        = 21
  CozmoSaysGetOut                       = 22
  CozmoSaysSpeakGetInShort              = 23
  CozmoSaysSpeakGetInMedium             = 24
  CozmoSaysSpeakGetInLong               = 25
  CozmoSaysSpeakGetOutShort             = 26
  CozmoSaysSpeakGetOutMedium            = 27
  CozmoSaysSpeakGetOutLong              = 28
  CozmoSaysSpeakLoop                    = 29
  CozmoSaysBadWord                      = 30
  CozmoSaysIdle                         = 31
  CubeMovedSense                        = 32
  CubeMovedUpset                        = 33
  CubePounceFake                        = 34
  CubePounceGetIn                       = 35
  CubePounceGetOut                      = 36
  CubePounceGetReady                    = 37
  CubePounceGetUnready                  = 38
  CubePounceIdleLiftDown                = 39
  CubePounceIdleLiftUp                  = 40
  CubePounceLoseHand                    = 41
  CubePounceLoseRound                   = 42
  CubePounceLoseSession                 = 43
  CubePouncePounceClose                 = 44
  CubePouncePounceNormal                = 45
  CubePounceWinHand                     = 46
  CubePounceWinRound                    = 47
  CubePounceWinSession                  = 48
  DemoSpeedTapCozmoWin                  = 49
  DemoSpeedTapCozmoLose                 = 50
  DizzyReactionHard                     = 51
  DizzyReactionMedium                   = 52
  DizzyReactionSoft                     = 53
  DizzyShakeLoop                        = 54
  DizzyShakeStop                        = 55
  DizzyStillPickedUp                    = 56
  DriveEndAngry                         = 57
  DriveEndDefault                       = 58
  DriveEndLaunch                        = 59
  DriveLoopAngry                        = 60
  DriveLoopDefault                      = 61
  DriveLoopLaunch                       = 62
  DriveStartAngry                       = 63
  DriveStartDefault                     = 64
  DriveStartLaunch                      = 65
  DroneModeBackwardDrivingEnd           = 66
  DroneModeBackwardDrivingLoop          = 67
  DroneModeBackwardDrivingStart         = 68
  DroneModeCliffEvent                   = 69
  DroneModeForwardDrivingEnd            = 70
  DroneModeForwardDrivingLoop           = 71
  DroneModeForwardDrivingStart          = 72
  DroneModeGetIn                        = 73
  DroneModeGetOut                       = 74
  DroneModeIdle                         = 75
  DroneModeKeepAlive                    = 76
  DroneModeTurboDrivingStart            = 77
  FacePlantRoll                         = 78
  FacePlantRollArmUp                    = 79
  FailedToRightFromFace                 = 80
  FistBumpIdle                          = 81
  FistBumpRequestOnce                   = 82
  FistBumpRequestRetry                  = 83
  FistBumpSuccess                       = 84
  FistBumpLeftHanging                   = 85
  FlipDownFromBack                      = 86
  FrustratedByFailure                   = 87
  FrustratedByFailureMajor              = 88
  GameSetupGetIn                        = 89
  GameSetupGetOut                       = 90
  GameSetupIdle                         = 91
  GameSetupReaction                     = 92
  GoToSleepGetIn                        = 93
  GoToSleepGetOut                       = 94
  GoToSleepOff                          = 95
  GoToSleepSleeping                     = 96
  HikingDrivingEnd                      = 97
  HikingDrivingLoop                     = 98
  HikingDrivingStart                    = 99
  HikingInterestingEdgeThought          = 100
  HikingIntro                           = 101
  HikingLookAround                      = 102
  HikingObserve                         = 103
  HikingReactToEdge                     = 104
  HikingReactToNewArea                  = 105
  HikingReactToPossibleMarker           = 106
  HikingSquintEnd                       = 107
  HikingSquintLoop                      = 108
  HikingSquintStart                     = 109
  HikingWakeUpOffCharger                = 110
  IdleOnCharger                         = 111
  InteractWithFaceTrackingIdle          = 112
  InteractWithFacesInitialNamed         = 113
  InteractWithFacesInitialUnnamed       = 114
  KnockOverEyes                         = 115
  KnockOverFailure                      = 116
  KnockOverGrabAttempt                  = 117
  KnockOverPreActionNamedFace           = 118
  KnockOverPreActionUnnamedFace         = 119
  KnockOverSuccess                      = 120
  LookInPlaceForFacesBodyPause          = 121
  LookInPlaceForFacesHeadMovePause      = 122
  MajorFail                             = 123
  MajorWin                              = 124
  MeetCozmoGetIn                        = 125
  MeetCozmoLookFaceGetIn                = 126
  MeetCozmoLookFaceGetOut               = 127
  MeetCozmoScanningIdle                 = 128
  MeetCozmoFirstEnrollmentSayName       = 129
  MeetCozmoFirstEnrollmentRepeatName    = 130
  MeetCozmoFirstEnrollmentCelebration   = 131
  MeetCozmoReEnrollmentSayName          = 132
  MeetCozmoRenameFaceSayName            = 133
  MeetCozmoLookFaceInterrupt            = 134
  MemoryMatchPlayerWinHand              = 135
  MemoryMatchPlayerWinHandLong          = 136
  MemoryMatchPlayerWinHandSolo          = 137
  MemoryMatchPlayerLoseHand             = 138
  MemoryMatchPlayerLoseHandSolo         = 139
  MemoryMatchCozmoWinHand               = 140
  MemoryMatchCozmoLoseHand              = 141
  MemoryMatchCozmoWinGame               = 142
  MemoryMatchPlayerWinGame              = 143
  MemoryMatchSoloGameOver               = 144
  MemoryMatchReactToPattern             = 145
  MemoryMatchReactToPatternSolo         = 146
  MemoryMatchPointCenter                = 147
  MemoryMatchPointLeftBig               = 148
  MemoryMatchPointLeftSmall             = 149
  MemoryMatchPointRightBig              = 150
  MemoryMatchPointRightSmall            = 151
  MemoryMatchPointCenterFast            = 152
  MemoryMatchPointLeftBigFast           = 153
  MemoryMatchPointLeftSmallFast         = 154
  MemoryMatchPointRightBigFast          = 155
  MemoryMatchPointRightSmallFast        = 156
  MemoryMatchCozmoGetOut                = 157
  MemoryMatchCozmoFollowTapsSoundOnly   = 158
  NamedFaceInitialGreeting              = 159
  NeutralFace                           = 160
  NothingToDoBoredEvent                 = 161
  NothingToDoBoredIdle                  = 162
  NothingToDoBoredIntro                 = 163
  NothingToDoBoredOutro                 = 164
  OnLearnedPlayerName                   = 165
  OnSawNewNamedFace                     = 166
  OnSawNewUnnamedFace                   = 167
  OnSawOldNamedFace                     = 168
  OnSawOldUnnamedFace                   = 169
  OnSpeedtapCozmoConfirm                = 170
  OnSpeedtapFakeout                     = 171
  OnSpeedtapGameCozmoWinHighIntensity   = 172
  OnSpeedtapGameCozmoWinLowIntensity    = 173
  OnSpeedtapGamePlayerWinHighIntensity  = 174
  OnSpeedtapGamePlayerWinLowIntensity   = 175
  OnSpeedtapGetOut                      = 176
  OnSpeedtapHandCozmoWin                = 177
  OnSpeedtapHandPlayerWin               = 178
  OnSpeedtapIdle                        = 179
  OnSpeedtapRoundCozmoWinHighIntensity  = 180
  OnSpeedtapRoundCozmoWinLowIntensity   = 181
  OnSpeedtapRoundPlayerWinHighIntensity = 182
  OnSpeedtapRoundPlayerWinLowIntensity  = 183
  OnSpeedtapTap                         = 184
  OnWaitForCubesMinigameSetup           = 185
  OnWiggle                              = 186
  OnboardingBirth                       = 187
  OnboardingCubeDockFail                = 188
  OnboardingDiscoverCube                = 189
  OnboardingDriveEnd                    = 190
  OnboardingDriveLoop                   = 191
  OnboardingDriveStart                  = 192
  OnboardingEyesOn                      = 193
  OnboardingHelloPlayer                 = 194
  OnboardingHelloWorld                  = 195
  OnboardingIdle                        = 196
  OnboardingInteractWithCube            = 197
  OnboardingPreBirth                    = 198
  OnboardingReactToCube                 = 199
  OnboardingReactToCubePutDown          = 200
  OnboardingReactToFace                 = 201
  OnboardingSoundOnlyLiftEffortPickup   = 202
  OnboardingSoundOnlyLiftEffortPlaceLow = 203
  OnboardingGetOut                      = 204
  PeekABooGetIn                         = 205
  PeekABooIdle                          = 206
  PeekABooLowIntensity                  = 207
  PeekABooMedIntensity                  = 208
  PeekABooHighIntensity                 = 209
  PeekABooShort                         = 210
  PeekABooSurprised                     = 211
  PeekABooGetOutSad                     = 212
  PeekABooGetOutHappy                   = 213
  PetDetectionCat                       = 214
  PetDetectionDog                       = 215
  PetDetectionShort                     = 216
  PetDetectionShort_Cat                 = 217
  PetDetectionShort_Dog                 = 218
  PetDetectionSneeze                    = 219
  PlacedOnCharger                       = 220
  PopAWheelieInitial                    = 221
  PopAWheeliePreActionNamedFace         = 222
  PopAWheeliePreActionUnnamedFace       = 223
  PopAWheelieRealign                    = 224
  PopAWheelieRetry                      = 225
  PounceDriveEnd                        = 226
  PounceDriveLoop                       = 227
  PounceDriveStart                      = 228
  PounceFace                            = 229
  PounceFail                            = 230
  PounceGetOut                          = 231
  PounceInitial                         = 232
  PouncePounce                          = 233
  PounceSuccess                         = 234
  ProceduralLive                        = 235
  PutDownBlockKeepAlive                 = 236
  PutDownBlockPutDown                   = 237
  ReactToBlockPickupSuccess             = 238
  ReactToBlockRetryPickup               = 239
  ReactToCliff                          = 240
  ReactToCliffDetectorStop              = 241
  ReactToMotorCalibration               = 242
  ReactToNewBlockAsk                    = 243
  ReactToNewBlockBig                    = 244
  ReactToNewBlockSmall                  = 245
  ReactToOnLeftSide                     = 246
  ReactToOnRightSide                    = 247
  ReactToPerchedOnBlock                 = 248
  ReactToPickup                         = 249
  ReactToPokeReaction                   = 250
  ReactToPokeStartled                   = 251
  ReactToUnexpectedMovement             = 252
  RequestGameDrivingFail                = 253
  RequestGameKeepAwayAccept0            = 254
  RequestGameKeepAwayAccept1            = 255
  RequestGameKeepAwayDeny0              = 256
  RequestGameKeepAwayDeny1              = 257
  RequestGameKeepAwayIdle0              = 258
  RequestGameKeepAwayIdle1              = 259
  RequestGameKeepAwayInitial0           = 260
  RequestGameKeepAwayInitial1           = 261
  RequestGameKeepAwayPreDrive0          = 262
  RequestGameKeepAwayPreDrive1          = 263
  RequestGameKeepAwayRequest0           = 264
  RequestGameKeepAwayRequest1           = 265
  RequestGameMemoryMatchAccept0         = 266
  RequestGameMemoryMatchAccept1         = 267
  RequestGameMemoryMatchDeny0           = 268
  RequestGameMemoryMatchDeny1           = 269
  RequestGameMemoryMatchIdle0           = 270
  RequestGameMemoryMatchIdle1           = 271
  RequestGameMemoryMatchInitial0        = 272
  RequestGameMemoryMatchInitial1        = 273
  RequestGameMemoryMatchPreDrive0       = 274
  RequestGameMemoryMatchPreDrive1       = 275
  RequestGameMemoryMatchRequest0        = 276
  RequestGameMemoryMatchRequest1        = 277
  RequestGamePickupFail                 = 278
  RequestGameSpeedTapAccept0            = 279
  RequestGameSpeedTapAccept1            = 280
  RequestGameSpeedTapDeny0              = 281
  RequestGameSpeedTapDeny1              = 282
  RequestGameSpeedTapIdle0              = 283
  RequestGameSpeedTapIdle1              = 284
  RequestGameSpeedTapInitial0           = 285
  RequestGameSpeedTapInitial1           = 286
  RequestGameSpeedTapPreDrive0          = 287
  RequestGameSpeedTapPreDrive1          = 288
  RequestGameSpeedTapRequest0           = 289
  RequestGameSpeedTapRequest1           = 290
  RollBlockInitial                      = 291
  RollBlockPreActionNamedFace           = 292
  RollBlockPreActionUnnamedFace         = 293
  RollBlockPutDown                      = 294
  RollBlockRealign                      = 295
  RollBlockRetry                        = 296
  RollBlockSuccess                      = 297
  SdkTextToSpeech                       = 298
  Shiver                                = 299
  Shocked                               = 300
  Sleeping                              = 301
  SoftSparkUpgradeLift                  = 302
  SoftSparkUpgradeTracks                = 303
  SoundOnlyLiftEffortPickup             = 304
  SoundOnlyLiftEffortPlaceHigh          = 305
  SoundOnlyLiftEffortPlaceLow           = 306
  SoundOnlyLiftEffortPlaceRoll          = 307
  SoundOnlyRamIntoBlock                 = 308
  SoundOnlyTurnSmall                    = 309
  SparkDrivingLoop                      = 310
  SparkDrivingStart                     = 311
  SparkDrivingStop                      = 312
  SparkFailure                          = 313
  SparkGetIn                            = 314
  SparkGetOut                           = 315
  SparkIdle                             = 316
  SparkPickupFinalCubeReaction          = 317
  SparkPickupInitialCubeReaction        = 318
  SparkSuccess                          = 319
  SpeedTapDrivingEnd                    = 320
  SpeedTapDrivingLoop                   = 321
  SpeedTapDrivingStart                  = 322
  StackBlocksPreActionNamedFace         = 323
  StackBlocksPreActionUnnamedFace       = 324
  StackBlocksRetry                      = 325
  StackBlocksSuccess                    = 326
  StartSleeping                         = 327
  SuccessfulWheelie                     = 328
  Surprise                              = 329
  TurtleRoll                            = 330
  UnitTestAnim                          = 331
  WaitOnSideLoop                        = 332
  WorkoutPickupRealign                  = 333
  WorkoutPickupRetry                    = 334
  WorkoutPostLift_highEnergy            = 335
  WorkoutPostLift_lowEnergy             = 336
  WorkoutPostLift_mediumEnergy          = 337
  WorkoutPreLift_highEnergy             = 338
  WorkoutPreLift_lowEnergy              = 339
  WorkoutPreLift_mediumEnergy           = 340
  WorkoutPutDown_highEnergy             = 341
  WorkoutPutDown_lowEnergy              = 342
  WorkoutPutDown_lowEnergy_simple       = 343
  WorkoutPutDown_mediumEnergy           = 344
  WorkoutStrongLift_highEnergy          = 345
  WorkoutStrongLift_lowEnergy           = 346
  WorkoutStrongLift_mediumEnergy        = 347
  WorkoutTransition_highEnergy          = 348
  WorkoutTransition_lowEnergy           = 349
  WorkoutTransition_mediumEnergy        = 350
  WorkoutWeakLift_highEnergy            = 351
  WorkoutWeakLift_lowEnergy             = 352
  WorkoutWeakLift_mediumEnergy          = 353
  Count                                 = 354

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                = 0
  Connected               = 1
  CubePouncePlayerLose    = 2
  CubePouncePlayerWin     = 3
  DoubleTappedKnown       = 4
  DoubleTappedUnsure      = 5
  DrivingTo               = 6
  Flash                   = 7
  Interacting             = 8
  InteractingBehaviorLock = 9
  Onboarding              = 10
  PyramidBaseBottom       = 11
  PyramidFlourish         = 12
  PyramidOnSideLocated    = 13
  PyramidOnSideNotLocated = 14
  PyramidPickup           = 15
  PyramidSingle           = 16
  Sleep                   = 17
  SleepNoFade             = 18
  SpeedTapWin             = 19
  SpeedTapLose            = 20
  Visible                 = 21
  WakeUp                  = 22
  Workout                 = 23
  Count                   = 24

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


