# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/behaviorTypes.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/behaviorTypes.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class BehaviorGameFlag(object):
  "Automatically-generated uint_8 enumeration."
  NoGame      = 0
  SpeedTap    = 0x1
  MemoryMatch = 0x2
  KeepAway    = 0x4
  All         = 0xff

Anki.Cozmo.BehaviorGameFlag = BehaviorGameFlag
del BehaviorGameFlag


class BehaviorClass(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior               = 0
  BringCubeToBeacon          = 1
  BuildPyramid               = 2
  BuildPyramidBase           = 3
  CantHandleTallStack        = 4
  CheckForStackAtInterval    = 5
  CubeLiftWorkout            = 6
  DockingTestSimple          = 7
  DriveOffCharger            = 8
  DrivePath                  = 9
  EnrollFace                 = 10
  ExploreLookAroundInPlace   = 11
  ExploreVisitPossibleMarker = 12
  FactoryCentroidExtractor   = 13
  FactoryTest                = 14
  FindFaces                  = 15
  FistBump                   = 16
  InteractWithFaces          = 17
  KnockOverCubes             = 18
  LiftLoadTest               = 19
  LookAround                 = 20
  LookForFaceAndCube         = 21
  LookInPlaceMemoryMap       = 22
  OnConfigSeen               = 23
  OnboardingShowCube         = 24
  PeekABoo                   = 25
  PickUpCube                 = 26
  PlayAnim                   = 27
  PlayArbitraryAnim          = 28
  PopAWheelie                = 29
  PounceOnMotion             = 30
  PutDownBlock               = 31
  PyramidThankYou            = 32
  RespondPossiblyRoll        = 33
  RespondToRenameFace        = 34
  RequestGameSimple          = 35
  RollBlock                  = 36
  StackBlocks                = 37
  ThinkAboutBeacons          = 38
  VisitInterestingEdge       = 39
  AcknowledgeFace            = 40
  AcknowledgeObject          = 41
  RamIntoBlock               = 42
  ReactToCliff               = 43
  ReactToCubeMoved           = 44
  ReactToDoubleTap           = 45
  ReactToFrustration         = 46
  ReactToMotorCalibration    = 47
  ReactToOnCharger           = 48
  ReactToPet                 = 49
  ReactToPickup              = 50
  ReactToPlacedOnSlope       = 51
  ReactToPyramid             = 52
  ReactToReturnedToTreads    = 53
  ReactToRobotOnBack         = 54
  ReactToRobotOnFace         = 55
  ReactToRobotOnSide         = 56
  ReactToRobotShaken         = 57
  ReactToSparked             = 58
  ReactToStackOfCubes        = 59
  ReactToUnexpectedMovement  = 60
  Count                      = 61

Anki.Cozmo.BehaviorClass = BehaviorClass
del BehaviorClass


class ReactionTrigger(object):
  "Automatically-generated uint_8 enumeration."
  NoneTrigger                  = 0
  CliffDetected                = 1
  CubeMoved                    = 2
  DoubleTapDetected            = 3
  FacePositionUpdated          = 4
  FistBump                     = 5
  Frustration                  = 6
  MotorCalibration             = 7
  NoPreDockPoses               = 8
  ObjectPositionUpdated        = 9
  PlacedOnCharger              = 10
  PetInitialDetection          = 11
  RobotPickedUp                = 12
  RobotPlacedOnSlope           = 13
  PyramidInitialDetection      = 14
  ReturnedToTreads             = 15
  RobotOnBack                  = 16
  RobotOnFace                  = 17
  RobotOnSide                  = 18
  RobotShaken                  = 19
  Sparked                      = 20
  StackOfCubesInitialDetection = 21
  UnexpectedMovement           = 22
  Count                        = 23

Anki.Cozmo.ReactionTrigger = ReactionTrigger
del ReactionTrigger


class ExecutableBehaviorType(object):
  "Automatically-generated uint_8 enumeration."
  NoneBehavior      = 0
  FindFaces         = 1
  FistBump          = 2
  KnockOverCubes    = 3
  LiftLoadTest      = 4
  LookAroundInPlace = 5
  PounceOnMotion    = 6
  RollBlock         = 7
  StackBlocks       = 8
  EnrollFace        = 9
  Count             = 10

Anki.Cozmo.ExecutableBehaviorType = ExecutableBehaviorType
del ExecutableBehaviorType


